/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.service;


import com.taais.biz.domain.TaskTrackResultBo;
import com.taais.biz.domain.ToInfrared;
import com.taais.biz.domain.bo.ToInfraredBo;
import com.taais.biz.domain.vo.ToInfraredVo;
import com.taais.common.core.core.domain.CommonResult;
import com.taais.common.core.core.page.PageResult;
import com.taais.common.orm.core.service.IBaseService;
import org.springframework.core.io.Resource;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * 可见光转红外Service接口
 *
 * @author 0
 * 2024-09-20
 */
public interface IToInfraredService extends IBaseService<ToInfrared> {
    /**
     * 查询可见光转红外
     *
     * @param id 可见光转红外主键
     * @return 可见光转红外
     */
        ToInfraredVo selectById(Long id);

    /**
     * 查询可见光转红外列表
     *
     * @param toInfraredBo 可见光转红外Bo
     * @return 可见光转红外集合
     */
    List<ToInfraredVo> selectList(ToInfraredBo toInfraredBo);

    /**
     * 分页查询可见光转红外列表
     *
     * @param toInfraredBo 可见光转红外Bo
     * @return 分页可见光转红外集合
     */
    PageResult<ToInfraredVo> selectPage(ToInfraredBo toInfraredBo);

    /**
     * 新增可见光转红外
     *
     * @param toInfraredBo 可见光转红外Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(ToInfraredBo toInfraredBo);

    /**
     * 修改可见光转红外
     *
     * @param toInfraredBo 可见光转红外Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(ToInfraredBo toInfraredBo);

    /**
     * 批量删除可见光转红外
     *
     * @param ids 需要删除的可见光转红外主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    CommonResult start(Long id);

    CommonResult stop(Long id);

    CommonResult getResult(TaskTrackResultBo toInfraredStartResultBo);

    ResponseEntity<Resource> zipImages(Long id);

    CommonResult getLog(Long id);

    CommonResult getModelList(Long id);

    CommonResult previewPredictResult(Long id);
}
